////// COLOR COLLECTION

// @black: rgb(0, 0, 0);

@white: #fff; // background base & inputs

@terraExtraLight: #f0d0c8;
@terraLight: #d53e2a; // active txt & elements
@terraMedium: rgb(163, 034, 003);
// @terraDark: #562821;
@terraDark: #3b1a00;

@greyDark: #9a9a9a;
@greyMedium: #e1e1e1;
@greyLight: rgb(238, 238, 238);
@greyExtraLight: rgb(247, 247, 247); // background block

@blue: #13bbee;
@blueDark: #508197;
@blueLight: #f0f3f6;

@yellow: #fdc300;
@yellowDark: #987a15;
@yellowLight: #f7efdb;

@red: #e7334c;
@redDark: #a12634;
@redLight: #f6e8e5;

@slate: #95a4a4;
@slateDark: #717d7c;
@slateLight: #f2f4f4;

@purple: #9d75b2;
@purpleDark: #71537d;
@purpleLight: #eee9f1;

@green: #73b958;
@greenDark: #457437;
@greenLight: #ebf0e9;

// quick hacks to compile client/solar
@grey: @greyMedium;

//////
////// COLORS & USES
//////

@bodyBgColor: @white;
// @textColor: #0e3b58;
@textColor: @terraDark;
@textColorLight: @greyDark;

////// Interactive elements

// @interactiveColorHover: @red;
// @inactiveHoverColor: @greyDark;
@warningColor: @yellow;

@activeColor: @terraLight;
@activeColorHover: @terraMedium;
@activeColorPressed: @terraDark;

@inactiveColor: @greyDark;
@disabledColor: @greyMedium;

///////  BACKGROUNDS COLORS

@bgLightColor: @greyExtraLight;
@bgMediumColor: @greyDark;
@bgDarkColor: @greyLight;
@bgActiveColor: @purpleLight;

// @widget-background : @greyLight;
// @widget-background-hover : @greyDark;
// @widget-background-active : @greyLight;

////// Map background

@mapBgColor: @white;

////// Links

@linkColor: @textColor;
@linkColorHover: @activeColor;
@linkDecorationColor: @greyDark;

////// Borders

@borderDarkColor: @textColor;
@borderLightColor: @greyDark;
@borderExtraLightColor: @greyLight;

////// Inputs

@inputBorderColor: @greyDark;
@inputBgColor: @white;
@inputPlaceholderColor: @greyDark;

// @editable: @greyLight;

////// Table

@tableRowActiveColor: @yellow;
@tableRowHoverColor: @yellowLight;
@tableTextSelectColor: @activeColor;

////// Loader

@loaderColor: @greyDark;
